set(CMAKE_DEBUG_POSTFIX "_d")
set(CMAKE_RELEASE_POSTFIX "_r")
set_target_properties(${TARGET_NAME} PROPERTIES DEBUG_POSTFIX "_d")
set_target_properties(${TARGET_NAME} PROPERTIES RELEASE_POSTFIX "_r")
cmake_minimum_required(VERSION 3.1)
project("hnswlab")
set(CMAKE_C_STANDARD 11)

# generate .so file
include_directories(inc)
add_library(hnswc
SHARED
        src/utils.c
        src/hnsw.c
)

add_executable(hnsw_test src/test.c)
target_link_libraries(hnsw_test hnswc m)
